<?php  
	namespace Concrete\Package\Achillea\Block\AchilleaImageFeature;
	use \Concrete\Core\Block\BlockController;
	Use Core;
	use Page;
	
	class Controller extends BlockController {

	protected $btTable = 'btAchilleaImageFeature';
	protected $btInterfaceWidth = "700";
	protected $btInterfaceHeight = "450";
	protected $btWrapperClass = 'ccm-ui';
	protected $btDefaultSet = 'achillea';
	
	public function getBlockTypeName() {
		return t('Achillea Image Feature');
	}
	public function getBlockTypeDescription() {
		return t('A block used to add an image, some text and a call to action button, for use with the Achillea Theme.');
	}
	public function view()
    {
        $image = false;
		
        if ($this->fID) {
            $f = \File::getByID($this->fID);
            if (is_object($f)) {
                $image = Core::make('html/image', array($f, false))->getTag();
                $image->alt($this->name);
                $this->set('image', $image);
            }
        }
    }		
}