<?php     
defined('C5_EXECUTE') or die(_("Access Denied."));
$al = Core::make('helper/concrete/asset_library');
$formPageSelector = Core::make('helper/form/page_selector');
?>
<?php 
if ($fID > 0) {
    $fo = File::getByID($fID);
    if ($fo->isError()) {
        unset($fo);
    }
}
?>
<style type="text/css">
#external {
	display: none;
}
</style>
<script type="text/javascript">

	function updateLinkType(){
		$("#linkType").each(function(){
			
			if ( $(this).find("option:selected").val() == "internal" ) {
				$("#linkTypes").find(">div").hide();
				$("#linkTypes").find("#internal").show();
			}
			if ($(this).find("option:selected").val() == "external" ) {
				$("#linkTypes").find(">div").hide();
				$("#linkTypes").find("#external").show();
			}
		});
	};
	updateLinkType();

</script>

<div class="form-group"> <?php  echo $form->label('fID', t('Picture'));?>
  <?php     
    print $al->file('ccm-b-file', 'fID', t('Choose File'), $fo);	
    ?>
</div>
<div class="form-group"> <?php  echo $form->label('title', t('Team Member'));?> <?php  print $form->text('title', $title)?> </div>
<div class="form-group"> <?php  echo $form->label('title2', t('Job Title'));?> <?php  print $form->text('title2', $title2)?> </div>
<div class="form-group"> <?php  echo $form->label('paragraph', t('Paragraph')) ?> <?php  print $form->textarea('paragraph', $paragraph, array('rows' => 5))?> </div>
<fieldset>
  <legend><?php  echo t('Button')?></legend>
  <div class="form-group">
    <?php   echo $form->label('buttonText', t("Button Text:"));?>
    <?php   echo $form->text('buttonText', $buttonText);?>
  </div>
  <div class="form-group">
    <?php   echo $form->label('linkType', t('Link Type:'));?>
    <?php   echo $form->select('linkType', array('internal'=>t('Internal Page'),'external'=>t('External Link')), $linkType, array("onChange" => "updateLinkType();")); ?>
  </div>
  <div id="linkTypes" style="margin: 20px 0;">
    <div id="internal" class="form-group">
      <?php   echo $form->label('pageID', t('Select page'));?>
      <?php   echo $formPageSelector->selectPage('pageID',$pageID); ?>
    </div>
    <div id="external" class="form-group">
      <?php   echo $form->label('externalLink', t('URL'));?>
      <?php   echo $form->text('externalLink', $externalLink);?>
    </div>
  </div>
</fieldset>